using CanteenContracts.BindingModels;
using CanteenContracts.SearchModel;
using CanteenContracts.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CanteenContracts.StoragesContracts
{
    public interface ILunchStorage
    {
        List<LunchViewModel> GetFullList();
        List<LunchViewModel> GetFilteredList(LunchSearchModel model);
        LunchViewModel? GetElement(LunchSearchModel model);
        LunchViewModel? Insert(LunchBindingModel model);
        LunchViewModel? Update(LunchBindingModel model);
        LunchViewModel? Delete(LunchBindingModel model);
        void AddOrder(LunchOrderBindingModel model);
    }
}
